Subject: Offline Message from Brooke Gregory: Order number- #100129206 I spoke to some
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 09 Jun 2020 04:55:18 -0000

From: Brooke Gregory <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/trackhistory/track/index/id/UFFzR29kV21QV3Bob0NIV1premRaUT09/key/2/
Department: 

Order number- #100129206 I spoke to someone on the phone from your customer services dept yesterday and the fact that I still have not received my order since April 5th. The order has been split into two parts and the trampoline is with a different courier service. Yesterday I finally heard from the courier company Naqel Express and had a delivery- however it was not the full order only some of the smaller items and there is still lots missing.  When will the remainder of this 1/2 of the order be delivered.  I am loosing my patience with what is frankly a ridiculous situation and terrible customer service.
I suggest a manger calls me this morning to discuss this asap. +966 (0)568619353

----
Zopim
https://www.zopim.com